Subject: Re: .git/info/refs

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 25 Jan 2007 14:01:17 -0800

Junio C Hamano wrote:
> "H. Peter Anvin" <[email-masked]> writes:
> 
>>>>> With new gitweb and new git it is not that expensive. It is now one call
>>>>> to git-for-each-ref per repository.
>>>> That IS hugely expensive.  On kernel.org, that is 24175 calls to git.
>>> Do you mean you have 24k _REPOSITORIES_ served by gitweb on
>>> kernel.org?
>> No, we currently have 250 repositories with a total of 24175 refs.
> 
> Then that would mean 250 calls to git-for-each-ref, wouldn't it?
> 

Well, I think it was Johannes that said once for each ref.  But either 
which way, it's a totally unacceptable load with resulting unacceptable 
latency.

	-hpa